<?php

# внутренняя кодировка
mb_internal_encoding('UTF-8');

# серверные данные
define('URL', $_SERVER['REQUEST_URI']); // запрашиваемый адрес
define('IP', $_SERVER['REMOTE_ADDR']); // ip - адрес клиента
define('AGENT', $_SERVER['HTTP_USER_AGENT']); // агент браузера

# пути к основным директориям
define('MODS', ROOT .'mods/'); // модули
define('SYS', ROOT .'system/'); // системное

# подключение классов
foreach (glob(SYS .'class/*.php') as $class) require_once $class;

# системные конфигурации
require_once SYS .'main/conf.php';

# обработчик платежа, unitpay
if ($FUNC->url(URL, 'unit', true)) { require_once MODS .'make/acts/unit.php'; exit; }

# активация основных систем
require_once SYS .'main/base.php';

?>